/****************************************************************/
/* Mvcur() routine of the PCcurses package			*/
/*								*/
/****************************************************************/
/* This version of curses is based on ncurses, a curses version	*/
/* originally written by Pavel Curtis at Cornell University.	*/
/* I have made substantial changes to make it run on IBM PC's,	*/
/* and therefore consider myself free to make it public domain.	*/
/*		Bjorn Larsson (...mcvax!enea!infovax!bl)	*/
/****************************************************************/
/* 1.0:	Release:					870515	*/
/****************************************************************/

#include <curses.h>
#include <curspriv.h>

/****************************************************************/
/* Mvcur(oldy,oldx,newy,newx) the display cursor to <newy,newx>	*/
/****************************************************************/

int	mvcur(oldy,oldx,newy,newx)
  int oldy;
  int oldx;
  int newy;
  int newx;
  {
  if ((newy >= LINES) || (newx >= COLS) || (newy < 0) || (newx < 0))
    return(ERR);
  _cursescursor(0,newy,newx);
  _cursvar.cursrow = newy;
  _cursvar.curscol = newx;
  return(OK);
  } /* mvcur */
